# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "mobc-nebula-graph"
version = "0.4.3"
authors = ["vkill <vkill.net@gmail.com>"]
description = "mobc Nebula Graph pool"
homepage = "https://github.com/bk-rs/nebula-rs"
documentation = "https://docs.rs/mobc-nebula-graph"
readme = "README.md"
keywords = []
categories = []
license = "Apache-2.0 OR MIT"
repository = "https://github.com/bk-rs/nebula-rs"
[dependencies.async-std]
version = "1.6"
features = ["default"]
optional = true
default-features = false

[dependencies.cfg-if]
version = "0.1"
features = []
default-features = false

[dependencies.fbthrift-transport]
version = "0.3"
features = []
default-features = false

[dependencies.mobc]
version = "0.5"
features = ["async-std", "unstable"]
optional = true
default-features = false

[dependencies.nebula-graph-client]
version = "0.3"
features = []
default-features = false

[dependencies.tokio02]
version = "0.2"
features = ["net"]
optional = true
default-features = false
package = "tokio"

[features]
async_std = ["async-std", "mobc/async-std", "fbthrift-transport/futures_io"]
tokio = ["tokio02", "mobc/tokio", "fbthrift-transport/tokio_io"]
